#include <stdio.h>

void quick_sort(int a[], int l, int r);

int main()
{
   int a[100];
   int i,n;

   scanf("%d", &n);

   for(i = 0; i < n; i++)
     scanf("%d", &a[i]);

   quick_sort(a, 0, n - 1);

   for(i = 0; i < n; i++)
     printf("%d ", a[i]);
   putchar('\n');

   return 0;
}
